%% Clear everthinh
clear all; clc;
%% 1) Definition of the model quantities
%% 1a) Optimization variables

% Packed in a vector xTest ; order : [a; b; c; d; n1; S1fil; S2fil]
% Define some test cases

xTest_0 = [0.0248;0.0802;0.0125;0.0187;1021;1.22e-05;4.54e-07];
xTest_1 = [0.0248;0.0802;0.0125;0.0187;1021;1.22e-05;4.54e-07];
xTest_2 = [0.0030;0.0140;0.0228;0.0800;200.0000;0.0000;0.0000;0.0000];
xTest_3 = [18e-3; 54e-3; 18e-3; 33e-3; 722; 0.32e-6; 2.8e-6];
xTest_4 = [0.0176579; 0.0184541; 0.0253506; 0.0191353; 483.817; 0.0000102611; 2.18774*10^-6];
conceptionVariables = xTest_3;

% Conception variables [unit, meaning in french]
a = conceptionVariables(1);               % (m) Largeur latérale du noyau
b = conceptionVariables(2);               % (m) Hauteur de la fenêtre de bobinage
c = conceptionVariables(3);               % (m) Largeur de la fenêtre de bobinage
d = conceptionVariables(4);               % (m) Épaisseur du noyau
n1 = conceptionVariables(5);              % (None) Nombre de spires au primaire
S1fil = conceptionVariables(6);           % (m²) Section de câble au primaire
S2fil = conceptionVariables(7);           % (m²) Section de câble au secondaire

%% 1b) Constant parameters [unit, meaning in french]
V2 = 24;                % (V) Tension secondaire
V1 = 230;               % (V) Tension primaire
f = 50;                 % (Hz) Frequence
fp2 = 0.8;              % (None) Facteur de puissance secondaire
I2 = 8;                 % (A) Courant secondaire
Text = 40;              % (C) Temperature exterieur
q = 1;                  % (W/kg) Qualite de tole
kr = 0.5;               % (None) Coefficient de remplissage des encoches
h = 10;                 % (W/m2/K) Coefficient de convection de l'air
lambda = 0.15;          % (W/m/K) Coefficient de conduction de l'isolant
e_iso = 1e-3;          % (m) Epaisseur de l'isolant
mvfer = 7800;           % (kg/m3) Masse volumique du fer
mvcuivre = 8800;        % (kg/m3) Masse volumique du cuivre
rhocuivre = 1.72e-8;    % (ohm.m) Resistivite du cuivre
alphacuivre = 3.8e-3;   % (1/K) Variation de la resistivite du cuivre par degré de température
parameters = [V2,V1,f,fp2,I2,Text,q,kr,h,lambda,e_iso,mvfer,mvcuivre,rhocuivre,alphacuivre]';

%% 1c) Display all the variables 
display = true;
if display
    disp(dataTransfo())
end
%% 2) Test model for chosen conception variable set
% Launch the model and get outputs

[output] = ConceptionModel(conceptionVariables,parameters); 
disp('Done evaluating the model')
