function [f, g, h] = ObjContr(conceptionVariables)
    %% Unpack variables
    conceptionVariables_unpack = num2cell(conceptionVariables);
    [a,b,c,d,n1,S1fil,S2fil] = conceptionVariables_unpack{:};

    %% Constant [unit, meaning in french]
    V2 = 24;                % (V) Tension secondaire
    V1 = 230;               % (V) Tension primaire
    f = 50;                 % (Hz) Frequence
    fp2 = 0.8;              % (None) Facteur de puissance secondaire
    I2 = 8;                 % (A) Courant secondaire
    Text = 40;              % (C) Temperature exterieur
    q = 1;                  % (W/kg) Qualite de tole
    kr = 0.5;               % (None) Coefficient de remplissage des encoches
    h = 10;                 % (W/m2/K) Coefficient de convection de l'air
    lambda = 0.15;          % (W/m/K) Coefficient de conduction de l'isolant
    e_iso = 1e-3;          % (m) Epaisseur de l'isolant
    mvfer = 7800;           % (kg/m3) Masse volumique du fer
    mvcuivre = 8800;        % (kg/m3) Masse volumique du cuivre
    rhocuivre = 1.72e-8;    % (ohm.m) Resistivite du cuivre
    alphacuivre = 3.8e-3;   % (1/K) Variation de la resistivite du cuivre par degré de température
    parameters = [V2,V1,f,fp2,I2,Text,q,kr,h,lambda,e_iso,mvfer,mvcuivre,rhocuivre,alphacuivre]';
    [output] = ConceptionModel(conceptionVariables,parameters) ;

    %% Unpack model output
    output_unpack = num2cell(output);
    [M_tot,Tcuivre,Tfer,DV2_V2,I10_I1,rendement,f1,f2,Pj,Pfer,residu] = output_unpack{:};
    
    %% Create objective function f and inequality g and equality constraints
    % Objective
    f = ....
    % Inequality constraints
    g = [... ;
         ... ;
         ];
    % Equality constraints
    h = 0 ;